Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 6979)
+++ CKEditor/trunk/CHANGES.html	(revision 6980)
@@ -43,4 +43,5 @@
 		<li><a href="http://dev.ckeditor.com/ticket/7323">#7323</a> : New <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.dialog.definition.uiElement.html#align">align</a> property on dialog UI element for field alignment.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/6462">#6462</a> : A wider range of CSS length units (like pt and percentage) are now supported in related dialog fields.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7911">#7911</a> : New Remove Anchor option is now available in the context menu.</li>
 	</ul>
 	<p>
Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 6979)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 6980)
@@ -2,60 +2,60 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 517 Missing: 53
-ar.js      Found: 433 Missing: 137
-bg.js      Found: 268 Missing: 302
-bn.js      Found: 269 Missing: 301
-bs.js      Found: 175 Missing: 395
-ca.js      Found: 517 Missing: 53
-cs.js      Found: 516 Missing: 54
-cy.js      Found: 568 Missing: 2
-da.js      Found: 386 Missing: 184
-de.js      Found: 518 Missing: 52
-el.js      Found: 274 Missing: 296
-en-au.js   Found: 343 Missing: 227
-en-ca.js   Found: 343 Missing: 227
-en-gb.js   Found: 516 Missing: 54
-eo.js      Found: 247 Missing: 323
-es.js      Found: 568 Missing: 2
-et.js      Found: 289 Missing: 281
-eu.js      Found: 385 Missing: 185
-fa.js      Found: 290 Missing: 280
-fi.js      Found: 518 Missing: 52
-fo.js      Found: 517 Missing: 53
-fr-ca.js   Found: 289 Missing: 281
-fr.js      Found: 518 Missing: 52
-gl.js      Found: 271 Missing: 299
-gu.js      Found: 288 Missing: 282
-he.js      Found: 568 Missing: 2
-hi.js      Found: 290 Missing: 280
-hr.js      Found: 386 Missing: 184
-hu.js      Found: 508 Missing: 62
-is.js      Found: 295 Missing: 275
-it.js      Found: 386 Missing: 184
-ja.js      Found: 467 Missing: 103
-ka.js      Found: 567 Missing: 3
-km.js      Found: 263 Missing: 307
-ko.js      Found: 281 Missing: 289
-lt.js      Found: 294 Missing: 276
-lv.js      Found: 271 Missing: 299
-mn.js      Found: 288 Missing: 282
-ms.js      Found: 253 Missing: 317
-nb.js      Found: 517 Missing: 53
-nl.js      Found: 568 Missing: 2
-no.js      Found: 517 Missing: 53
-pl.js      Found: 568 Missing: 2
-pt-br.js   Found: 502 Missing: 68
-pt.js      Found: 270 Missing: 300
-ro.js      Found: 289 Missing: 281
-ru.js      Found: 449 Missing: 121
-sk.js      Found: 332 Missing: 238
-sl.js      Found: 392 Missing: 178
-sr-latn.js Found: 264 Missing: 306
-sr.js      Found: 263 Missing: 307
-sv.js      Found: 517 Missing: 53
-th.js      Found: 275 Missing: 295
-tr.js      Found: 502 Missing: 68
-uk.js      Found: 509 Missing: 61
-vi.js      Found: 459 Missing: 111
-zh-cn.js   Found: 514 Missing: 56
-zh.js      Found: 386 Missing: 184
+af.js      Found: 517 Missing: 54
+ar.js      Found: 433 Missing: 138
+bg.js      Found: 268 Missing: 303
+bn.js      Found: 269 Missing: 302
+bs.js      Found: 175 Missing: 396
+ca.js      Found: 517 Missing: 54
+cs.js      Found: 516 Missing: 55
+cy.js      Found: 568 Missing: 3
+da.js      Found: 386 Missing: 185
+de.js      Found: 518 Missing: 53
+el.js      Found: 274 Missing: 297
+en-au.js   Found: 343 Missing: 228
+en-ca.js   Found: 343 Missing: 228
+en-gb.js   Found: 516 Missing: 55
+eo.js      Found: 247 Missing: 324
+es.js      Found: 568 Missing: 3
+et.js      Found: 289 Missing: 282
+eu.js      Found: 385 Missing: 186
+fa.js      Found: 290 Missing: 281
+fi.js      Found: 518 Missing: 53
+fo.js      Found: 517 Missing: 54
+fr-ca.js   Found: 289 Missing: 282
+fr.js      Found: 518 Missing: 53
+gl.js      Found: 271 Missing: 300
+gu.js      Found: 288 Missing: 283
+he.js      Found: 568 Missing: 3
+hi.js      Found: 290 Missing: 281
+hr.js      Found: 386 Missing: 185
+hu.js      Found: 508 Missing: 63
+is.js      Found: 295 Missing: 276
+it.js      Found: 386 Missing: 185
+ja.js      Found: 467 Missing: 104
+ka.js      Found: 567 Missing: 4
+km.js      Found: 263 Missing: 308
+ko.js      Found: 281 Missing: 290
+lt.js      Found: 294 Missing: 277
+lv.js      Found: 271 Missing: 300
+mn.js      Found: 288 Missing: 283
+ms.js      Found: 253 Missing: 318
+nb.js      Found: 517 Missing: 54
+nl.js      Found: 568 Missing: 3
+no.js      Found: 517 Missing: 54
+pl.js      Found: 568 Missing: 3
+pt-br.js   Found: 502 Missing: 69
+pt.js      Found: 270 Missing: 301
+ro.js      Found: 289 Missing: 282
+ru.js      Found: 449 Missing: 122
+sk.js      Found: 332 Missing: 239
+sl.js      Found: 392 Missing: 179
+sr-latn.js Found: 264 Missing: 307
+sr.js      Found: 263 Missing: 308
+sv.js      Found: 517 Missing: 54
+th.js      Found: 275 Missing: 296
+tr.js      Found: 502 Missing: 69
+uk.js      Found: 509 Missing: 62
+vi.js      Found: 459 Missing: 112
+zh-cn.js   Found: 514 Missing: 57
+zh.js      Found: 386 Missing: 185
Index: CKEditor/trunk/_source/lang/af.js
===================================================================
--- CKEditor/trunk/_source/lang/af.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/af.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Anker-eienskappe',
 		name		: 'Ankernaam',
-		errorName	: 'Voltooi die ankernaam asseblief'
+		errorName	: 'Voltooi die ankernaam asseblief',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ar.js
===================================================================
--- CKEditor/trunk/_source/lang/ar.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/ar.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'خصائص الإشارة المرجعية',
 		name		: 'اسم الإشارة المرجعية',
-		errorName	: 'الرجاء كتابة اسم الإشارة المرجعية'
+		errorName	: 'الرجاء كتابة اسم الإشارة المرجعية',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/bg.js
===================================================================
--- CKEditor/trunk/_source/lang/bg.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/bg.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Параметри на котвата',
 		name		: 'Име на котвата',
-		errorName	: 'Моля, въведете име на котвата'
+		errorName	: 'Моля, въведете име на котвата',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/bn.js
===================================================================
--- CKEditor/trunk/_source/lang/bn.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/bn.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'নোঙর প্রোপার্টি',
 		name		: 'নোঙরের নাম',
-		errorName	: 'নোঙরের নাম টাইপ করুন'
+		errorName	: 'নোঙরের নাম টাইপ করুন',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/bs.js
===================================================================
--- CKEditor/trunk/_source/lang/bs.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/bs.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Anchor Properties', // MISSING
 		name		: 'Anchor Name', // MISSING
-		errorName	: 'Please type the anchor name' // MISSING
+		errorName	: 'Please type the anchor name', // MISSING
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ca.js
===================================================================
--- CKEditor/trunk/_source/lang/ca.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/ca.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Propietats de l\'àncora',
 		name		: 'Nom de l\'àncora',
-		errorName	: 'Si us plau, escriviu el nom de l\'ancora'
+		errorName	: 'Si us plau, escriviu el nom de l\'ancora',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/cs.js
===================================================================
--- CKEditor/trunk/_source/lang/cs.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/cs.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Vlastnosti záložky',
 		name		: 'Název záložky',
-		errorName	: 'Zadejte prosím název záložky'
+		errorName	: 'Zadejte prosím název záložky',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/cy.js
===================================================================
--- CKEditor/trunk/_source/lang/cy.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/cy.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Priodweddau\'r Angor',
 		name		: 'Enw\'r Angor',
-		errorName	: 'Teipiwch enw\'r angor'
+		errorName	: 'Teipiwch enw\'r angor',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/da.js
===================================================================
--- CKEditor/trunk/_source/lang/da.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/da.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Egenskaber for bogmærke',
 		name		: 'Bogmærke navn',
-		errorName	: 'Indtast bogmærke navn'
+		errorName	: 'Indtast bogmærke navn',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/de.js
===================================================================
--- CKEditor/trunk/_source/lang/de.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/de.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Anker-Eigenschaften',
 		name		: 'Anker Name',
-		errorName	: 'Bitte geben Sie den Namen des Ankers ein'
+		errorName	: 'Bitte geben Sie den Namen des Ankers ein',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/el.js
===================================================================
--- CKEditor/trunk/_source/lang/el.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/el.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Ιδιότητες άγκυρας',
 		name		: 'Όνομα άγκυρας',
-		errorName	: 'Παρακαλούμε εισάγετε όνομα άγκυρας'
+		errorName	: 'Παρακαλούμε εισάγετε όνομα άγκυρας',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en-au.js
===================================================================
--- CKEditor/trunk/_source/lang/en-au.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/en-au.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Anchor Properties',
 		name		: 'Anchor Name',
-		errorName	: 'Please type the anchor name'
+		errorName	: 'Please type the anchor name',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/en-ca.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/en-ca.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Anchor Properties',
 		name		: 'Anchor Name',
-		errorName	: 'Please type the anchor name'
+		errorName	: 'Please type the anchor name',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en-gb.js
===================================================================
--- CKEditor/trunk/_source/lang/en-gb.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/en-gb.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Anchor Properties',
 		name		: 'Anchor Name',
-		errorName	: 'Please type the anchor name'
+		errorName	: 'Please type the anchor name',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en.js
===================================================================
--- CKEditor/trunk/_source/lang/en.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/en.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Anchor Properties',
 		name		: 'Anchor Name',
-		errorName	: 'Please type the anchor name'
+		errorName	: 'Please type the anchor name',
+		remove		: 'Remove Anchor'
 	},
 
Index: CKEditor/trunk/_source/lang/eo.js
===================================================================
--- CKEditor/trunk/_source/lang/eo.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/eo.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Ankraj Atributoj',
 		name		: 'Ankra Nomo',
-		errorName	: 'Bv tajpi la ankran nomon'
+		errorName	: 'Bv tajpi la ankran nomon',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/es.js
===================================================================
--- CKEditor/trunk/_source/lang/es.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/es.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Propiedades de Referencia',
 		name		: 'Nombre de la Referencia',
-		errorName	: 'Por favor, complete el nombre de la Referencia'
+		errorName	: 'Por favor, complete el nombre de la Referencia',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/et.js
===================================================================
--- CKEditor/trunk/_source/lang/et.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/et.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Ankru omadused',
 		name		: 'Ankru nimi',
-		errorName	: 'Palun sisest ankru nimi'
+		errorName	: 'Palun sisest ankru nimi',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/eu.js
===================================================================
--- CKEditor/trunk/_source/lang/eu.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/eu.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Ainguraren Ezaugarriak',
 		name		: 'Ainguraren Izena',
-		errorName	: 'Idatzi ainguraren izena'
+		errorName	: 'Idatzi ainguraren izena',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fa.js
===================================================================
--- CKEditor/trunk/_source/lang/fa.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/fa.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'ویژگیهای لنگر',
 		name		: 'نام لنگر',
-		errorName	: 'لطفا نام لنگر را بنویسید'
+		errorName	: 'لطفا نام لنگر را بنویسید',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fi.js
===================================================================
--- CKEditor/trunk/_source/lang/fi.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/fi.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Ankkurin ominaisuudet',
 		name		: 'Nimi',
-		errorName	: 'Ankkurille on kirjoitettava nimi'
+		errorName	: 'Ankkurille on kirjoitettava nimi',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fo.js
===================================================================
--- CKEditor/trunk/_source/lang/fo.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/fo.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Eginleikar fyri marknastein',
 		name		: 'Heiti marknasteinsins',
-		errorName	: 'Vinarliga rita marknasteinsins heiti'
+		errorName	: 'Vinarliga rita marknasteinsins heiti',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fr-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/fr-ca.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/fr-ca.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Propriétés de l\'ancre',
 		name		: 'Nom de l\'ancre',
-		errorName	: 'Veuillez saisir le nom de l\'ancre'
+		errorName	: 'Veuillez saisir le nom de l\'ancre',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fr.js
===================================================================
--- CKEditor/trunk/_source/lang/fr.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/fr.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Propriétés de l\'ancre',
 		name		: 'Nom de l\'ancre',
-		errorName	: 'Veuillez entrer le nom de l\'ancre.'
+		errorName	: 'Veuillez entrer le nom de l\'ancre.',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/gl.js
===================================================================
--- CKEditor/trunk/_source/lang/gl.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/gl.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Propriedades da Referencia',
 		name		: 'Nome da Referencia',
-		errorName	: 'Por favor, escriba o nome da referencia'
+		errorName	: 'Por favor, escriba o nome da referencia',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/gu.js
===================================================================
--- CKEditor/trunk/_source/lang/gu.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/gu.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'ઍંકરના ગુણ',
 		name		: 'ઍંકરનું નામ',
-		errorName	: 'ઍંકરનું નામ ટાઈપ કરો'
+		errorName	: 'ઍંકરનું નામ ટાઈપ કરો',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/he.js
===================================================================
--- CKEditor/trunk/_source/lang/he.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/he.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'מאפייני נקודת עיגון',
 		name		: 'שם לנקודת עיגון',
-		errorName	: 'יש להקליד שם לנקודת עיגון'
+		errorName	: 'יש להקליד שם לנקודת עיגון',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/hi.js
===================================================================
--- CKEditor/trunk/_source/lang/hi.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/hi.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'ऐंकर प्रॉपर्टीज़',
 		name		: 'ऐंकर का नाम',
-		errorName	: 'ऐंकर का नाम टाइप करें'
+		errorName	: 'ऐंकर का नाम टाइप करें',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/hr.js
===================================================================
--- CKEditor/trunk/_source/lang/hr.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/hr.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Svojstva sidra',
 		name		: 'Ime sidra',
-		errorName	: 'Molimo unesite ime sidra'
+		errorName	: 'Molimo unesite ime sidra',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/hu.js
===================================================================
--- CKEditor/trunk/_source/lang/hu.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/hu.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Horgony tulajdonságai',
 		name		: 'Horgony neve',
-		errorName	: 'Kérem adja meg a horgony nevét'
+		errorName	: 'Kérem adja meg a horgony nevét',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/is.js
===================================================================
--- CKEditor/trunk/_source/lang/is.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/is.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Eigindi kaflamerkis',
 		name		: 'Nafn bókamerkis',
-		errorName	: 'Sláðu inn nafn bókamerkis!'
+		errorName	: 'Sláðu inn nafn bókamerkis!',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/it.js
===================================================================
--- CKEditor/trunk/_source/lang/it.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/it.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Proprietà ancora',
 		name		: 'Nome ancora',
-		errorName	: 'Inserici il nome dell\'ancora'
+		errorName	: 'Inserici il nome dell\'ancora',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ja.js
===================================================================
--- CKEditor/trunk/_source/lang/ja.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/ja.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'アンカー プロパティ',
 		name		: 'アンカー名',
-		errorName	: 'アンカー名を必ず入力してください。'
+		errorName	: 'アンカー名を必ず入力してください。',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ka.js
===================================================================
--- CKEditor/trunk/_source/lang/ka.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/ka.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'ღუზის პარამეტრები',
 		name		: 'ღუზუს სახელი',
-		errorName	: 'აკრიფეთ ღუზის სახელი'
+		errorName	: 'აკრიფეთ ღუზის სახელი',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/km.js
===================================================================
--- CKEditor/trunk/_source/lang/km.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/km.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'ការកំណត់យុថ្កា',
 		name		: 'ឈ្មោះយុទ្ធថ្កា',
-		errorName	: 'សូមសរសេរ ឈ្មោះយុទ្ធថ្កា'
+		errorName	: 'សូមសរសេរ ឈ្មោះយុទ្ធថ្កា',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ko.js
===================================================================
--- CKEditor/trunk/_source/lang/ko.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/ko.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: '책갈피 속성',
 		name		: '책갈피 이름',
-		errorName	: '책갈피 이름을 입력하십시요.'
+		errorName	: '책갈피 이름을 입력하십시요.',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/lt.js
===================================================================
--- CKEditor/trunk/_source/lang/lt.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/lt.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Žymės savybės',
 		name		: 'Žymės vardas',
-		errorName	: 'Prašome įvesti žymės vardą'
+		errorName	: 'Prašome įvesti žymės vardą',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/lv.js
===================================================================
--- CKEditor/trunk/_source/lang/lv.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/lv.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Iezīmes īpašības',
 		name		: 'Iezīmes nosaukums',
-		errorName	: 'Lūdzu norādiet iezīmes nosaukumu'
+		errorName	: 'Lūdzu norādiet iezīmes nosaukumu',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/mn.js
===================================================================
--- CKEditor/trunk/_source/lang/mn.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/mn.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Холбоос шинж чанар',
 		name		: 'Холбоос нэр',
-		errorName	: 'Холбоос төрөл оруулна уу'
+		errorName	: 'Холбоос төрөл оруулна уу',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ms.js
===================================================================
--- CKEditor/trunk/_source/lang/ms.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/ms.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Ciri-ciri Pautan',
 		name		: 'Nama Pautan',
-		errorName	: 'Sila taip nama pautan'
+		errorName	: 'Sila taip nama pautan',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/nb.js
===================================================================
--- CKEditor/trunk/_source/lang/nb.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/nb.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Egenskaper for anker',
 		name		: 'Ankernavn',
-		errorName	: 'Vennligst skriv inn ankernavnet'
+		errorName	: 'Vennligst skriv inn ankernavnet',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/nl.js
===================================================================
--- CKEditor/trunk/_source/lang/nl.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/nl.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Eigenschappen interne link',
 		name		: 'Naam interne link',
-		errorName	: 'Geef de naam van de interne link op'
+		errorName	: 'Geef de naam van de interne link op',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/no.js
===================================================================
--- CKEditor/trunk/_source/lang/no.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/no.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Egenskaper for anker',
 		name		: 'Ankernavn',
-		errorName	: 'Vennligst skriv inn ankernavnet'
+		errorName	: 'Vennligst skriv inn ankernavnet',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/pl.js
===================================================================
--- CKEditor/trunk/_source/lang/pl.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/pl.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Właściwości kotwicy',
 		name		: 'Nazwa kotwicy',
-		errorName	: 'Wpisz nazwę kotwicy'
+		errorName	: 'Wpisz nazwę kotwicy',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/pt-br.js
===================================================================
--- CKEditor/trunk/_source/lang/pt-br.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/pt-br.js	(revision 6980)
@@ -203,5 +203,6 @@
 		title		: 'Formatar Âncora',
 		name		: 'Nome da Âncora',
-		errorName	: 'Por favor, digite o nome da âncora'
+		errorName	: 'Por favor, digite o nome da âncora',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/pt.js
===================================================================
--- CKEditor/trunk/_source/lang/pt.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/pt.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Propriedades da Âncora',
 		name		: 'Nome da Âncora',
-		errorName	: 'Por favor, introduza o nome da âncora'
+		errorName	: 'Por favor, introduza o nome da âncora',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ro.js
===================================================================
--- CKEditor/trunk/_source/lang/ro.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/ro.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Proprietăţi ancoră',
 		name		: 'Numele ancorei',
-		errorName	: 'Vă rugăm scrieţi numele ancorei'
+		errorName	: 'Vă rugăm scrieţi numele ancorei',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ru.js
===================================================================
--- CKEditor/trunk/_source/lang/ru.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/ru.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Свойства якоря',
 		name		: 'Имя якоря',
-		errorName	: 'Пожалуйста, введите имя якоря'
+		errorName	: 'Пожалуйста, введите имя якоря',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/sk.js
===================================================================
--- CKEditor/trunk/_source/lang/sk.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/sk.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Vlastnosti kotvy',
 		name		: 'Meno kotvy',
-		errorName	: 'Zadajte prosím meno kotvy'
+		errorName	: 'Zadajte prosím meno kotvy',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/sl.js
===================================================================
--- CKEditor/trunk/_source/lang/sl.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/sl.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Lastnosti zaznamka',
 		name		: 'Ime zaznamka',
-		errorName	: 'Prosim vnesite ime zaznamka'
+		errorName	: 'Prosim vnesite ime zaznamka',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/sr-latn.js
===================================================================
--- CKEditor/trunk/_source/lang/sr-latn.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/sr-latn.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Osobine sidra',
 		name		: 'Ime sidra',
-		errorName	: 'Unesite ime sidra'
+		errorName	: 'Unesite ime sidra',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/sr.js
===================================================================
--- CKEditor/trunk/_source/lang/sr.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/sr.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Особине сидра',
 		name		: 'Име сидра',
-		errorName	: 'Молимо Вас да унесете име сидра'
+		errorName	: 'Молимо Вас да унесете име сидра',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/sv.js
===================================================================
--- CKEditor/trunk/_source/lang/sv.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/sv.js	(revision 6980)
@@ -203,5 +203,6 @@
 		title		: 'Egenskaper för ankarlänk',
 		name		: 'Ankarnamn',
-		errorName	: 'Var god ange ett ankarnamn'
+		errorName	: 'Var god ange ett ankarnamn',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/th.js
===================================================================
--- CKEditor/trunk/_source/lang/th.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/th.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'รายละเอียด Anchor',
 		name		: 'ชื่อ Anchor',
-		errorName	: 'กรุณาระบุชื่อของ Anchor'
+		errorName	: 'กรุณาระบุชื่อของ Anchor',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/tr.js
===================================================================
--- CKEditor/trunk/_source/lang/tr.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/tr.js	(revision 6980)
@@ -203,5 +203,6 @@
 		title		: 'Bağlantı Özellikleri',
 		name		: 'Bağlantı Adı',
-		errorName	: 'Lütfen bağlantı için ad giriniz'
+		errorName	: 'Lütfen bağlantı için ad giriniz',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/uk.js
===================================================================
--- CKEditor/trunk/_source/lang/uk.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/uk.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Властивості якоря',
 		name		: 'Ім\'я якоря',
-		errorName	: 'Будь ласка, вкажіть ім\'я якоря'
+		errorName	: 'Будь ласка, вкажіть ім\'я якоря',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/vi.js
===================================================================
--- CKEditor/trunk/_source/lang/vi.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/vi.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: 'Thuộc tính điểm neo',
 		name		: 'Tên của điểm neo',
-		errorName	: 'Hãy nhập vào tên của điểm neo'
+		errorName	: 'Hãy nhập vào tên của điểm neo',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/lang/zh-cn.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/zh-cn.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: '锚点链接属性',
 		name		: '锚点名称',
-		errorName	: '请输入锚点名称'
+		errorName	: '请输入锚点名称',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/zh.js
===================================================================
--- CKEditor/trunk/_source/lang/zh.js	(revision 6979)
+++ CKEditor/trunk/_source/lang/zh.js	(revision 6980)
@@ -204,5 +204,6 @@
 		title		: '錨點屬性',
 		name		: '錨點名稱',
-		errorName	: '請輸入錨點名稱'
+		errorName	: '請輸入錨點名稱',
+		remove		: 'Remove Anchor' // MISSING
 	},
 
Index: CKEditor/trunk/_source/plugins/link/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/link/plugin.js	(revision 6979)
+++ CKEditor/trunk/_source/plugins/link/plugin.js	(revision 6980)
@@ -12,4 +12,5 @@
 		editor.addCommand( 'anchor', new CKEDITOR.dialogCommand( 'anchor' ) );
 		editor.addCommand( 'unlink', new CKEDITOR.unlinkCommand() );
+		editor.addCommand( 'removeAnchor', new CKEDITOR.removeAnchorCommand() );
 		editor.ui.addButton( 'Link',
 			{
@@ -109,5 +110,14 @@
 						label : editor.lang.anchor.menu,
 						command : 'anchor',
-						group : 'anchor'
+						group : 'anchor',
+						order : 1
+					},
+
+					removeAnchor : 
+					{
+						label : editor.lang.anchor.remove,
+						command : 'removeAnchor',
+						group : 'anchor',
+						order : 5
 					},
 
@@ -149,5 +159,5 @@
 
 					if ( anchor && anchor.hasAttribute( 'name' ) )
-						menu.anchor = CKEDITOR.TRISTATE_OFF;
+						menu.anchor = menu.removeAnchor = CKEDITOR.TRISTATE_OFF;
 
 					return menu;
@@ -330,4 +340,32 @@
 };
 
+CKEDITOR.removeAnchorCommand = function(){};
+CKEDITOR.removeAnchorCommand.prototype =
+{
+	/** @ignore */
+	exec : function( editor )
+	{
+		var sel = editor.getSelection(),
+			bms = sel.createBookmarks(),
+			anchor;
+		if ( sel && ( anchor = sel.getSelectedElement() ) && ( CKEDITOR.plugins.link.fakeAnchor && !anchor.getChildCount() ? CKEDITOR.plugins.link.tryRestoreFakeAnchor( editor, anchor ) : anchor.is( 'a' ) ) )
+			anchor.remove( 1 );
+		else
+		{
+			if ( ( anchor = CKEDITOR.plugins.link.getSelectedLink( editor ) ) )
+			{
+				if ( anchor.hasAttribute( 'href' ) )
+				{
+					anchor.removeAttributes( { name : 1, 'data-cke-saved-name' : 1 } );
+					anchor.removeClass( 'cke_anchor' );
+				}
+				else
+					anchor.remove( 1 );
+			}
+		}
+		sel.selectBookmarks( bms );
+	}
+};
+
 CKEDITOR.tools.extend( CKEDITOR.config,
 {
